Bug 5987 - fsck.ext2 gives signal 10 during parallel fsck
fsck.ext2 gives signal 10 during parallel fsck
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
6.1
All Linux
high Severity high
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-15 12:02 EDT by dopey
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 13:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dopey 1999-10-15 12:02:07 EDT
There's a problem in e2fsprogs 1.15.  Occasionally
while doing a parallel file system check during init,
fsck.ext2 will return a signal 10 error, and then require a
reboot.  All the filesystems actually check out alright, and
on reboot sometimes this will happen again, sometimes it
won't.
The following is an e-mail from Ted Tso (e2fsprogs
maintainer/author) explaining the problem.  He also sent
me an e-mail today stating that it'll be fixed in a new
version to be released ASAP.

----------------------- start pasted e-mail ---------------

OK, if you're using e2fsck 1.15, I think I know what's going
on.
There's a race condition where fsck starts one fsck.ext2 to
start just
after another fsck finshes, and fsck sends a SIGUSR1 to the
first fsck
as a signal to tell it that it can start displaying its
progress bar.
If this happens before the first fsck has had a chance to
set up the
signal handler, then it will exit when it receives the
SIGUSR1.  It's
a pretty narrow window, which must be why I haven't seen
it.  I'll put
in some safeguards to prevent it from happening, though.

If you aren't using the 1.15 e2fsck, and you're not seeing
progress bars
when fsck needs to check a filesystem, then it's something
else.  Let me
know, and I'll see if I can find another explanation for
what's going
on.
-------------      end pasted e-mail. -------------------

------- Additional Comments From   10/19/99 11:04 -------
This came up on cartman-list over the weekend.  The suggested work
around from Bill Nottingham for the time being was to remove the -C
from the invocation of fsck in /etc/rc.d/rc.sysinit so that they do
not run in parallel.
Comment 1 Chris Siebenmann 1999-10-27 20:59:59 EDT
I have exactly this problem on my system, with the wrinke that this
only happens for my largest partition (4.9 gigs or so) and only if I
am bringing the system up single-user. Needless to say, this is quite
a disconcerting bug and I hope that a fix is issued promptly.
Comment 2 Matthias Urlichs 1999-10-27 21:10:59 EDT
Actually, the -C says not to show progress bars. They still do run in
parallel,so removing the -C isn't that bad.
Comment 3 Bill Nottingham 2000-02-05 13:51:59 EST
Fixed in the latest e2fsprogs.

Note You need to log in before you can comment on or make changes to this bug.